﻿Type=Service
Version=1.70
StartAtBoot=False
@EndOfDesignText@
'Service module

Sub Process_Globals
	
	   Dim Counter As Int 'A Simple counter to use in the example
				Dim Flag As Boolean 'This flag will be used like this: Flag = FALSE means counted reached 100 Flag = TRUE service stopped/aborted.
				Dim CheckSizeTimer As Timer
    Dim Notification1 As Notification
				
End Sub

Sub Service_Create

				CheckSizeTimer.Initialize("CheckSizeTimer", 1000)

	   Notification1.Initialize
	   Notification1.Icon = "icon"
	   Notification1.Vibrate = False

End Sub

Sub Service_Start

				Counter = 0
				
				Notification1.SetInfo("Counting", "Progress: 0", Null)
	   Notification1.Sound = False
   
				Service.StartForeground(1, Notification1) 
				
				CheckSizeTimer.Enabled = True
				
End Sub

Sub Finish

	   Service.StopForeground(1)

    CheckSizeTimer.Enabled = False
							
				Notification1.Sound = True
    
				Notification1.SetInfo("Finished", "Counting complete", Null)
				Notification1.AutoCancel = True
    Notification1.Notify(1)

				StopService("")

End Sub

Sub Service_Destroy

				If Flag = True Then
				
				   Flag = False
				
       Service.StopForeground(1) 'Return the service to the "background" (also removes the ongoing notification)

       CheckSizeTimer.Enabled = False
							
	      Notification1.Sound = True
    
	      Notification1.SetInfo("Cancelled", "Counting Cancelled", Null)
	      Notification1.AutoCancel = True
       Notification1.Notify(1)

				End If

End Sub

Sub CheckSizeTimer_Tick

				Notification1.SetInfo("Counting", "Progress: " & Counter, Null)
				Notification1.Notify(1)	
				
				Counter = Counter + 1
				
				If Counter > 60 Then
				
				   Flag = False
							Finish
							
				End If

End Sub